%define realname libpcap
%define vers_maj 0.8
%define vers_min 2

Name: %realname%vers_maj
Version: %vers_maj.%vers_min
Release: alt2
Serial: 2

%def_enable compat

Summary: A system-independent interface for user-level packet capture
License: BSD
Group: System/Libraries
Url: http://www.tcpdump.org

%define srcname %realname-%version
Source: %url/release/%srcname.tar.bz2
Patch: libpcap-0.8.1-nmap-alt-owl-pcap_linux_honor_timeout.patch

Provides: %realname = %serial:%version-%release
Obsoletes: %realname

# Automatically added by buildreq on Tue Jun 03 2003
BuildRequires: flex

%package -n %realname-devel
Summary: Development environment for the packet capture library
Group: Development/C
Requires: %name = %serial:%version-%release

%package -n %realname-devel-static
Summary: Static packet capture library
Group: Development/C
Requires: %realname-devel = %serial:%version-%release

%description
Libpcap provides a portable framework for low-level network monitoring.
Libpcap can provide network statistics collection, security monitoring
and network debugging.  Since almost every system vendor provides a
different interface for packet capture, the libpcap authors created this
system-independent API to ease in porting and to alleviate the need for
several system-dependent packet capture modules in each application.

%description -n %realname-devel
Libpcap provides a portable framework for low-level network monitoring.
Libpcap can provide network statistics collection, security monitoring
and network debugging.  Since almost every system vendor provides a
different interface for packet capture, the libpcap authors created this
system-independent API to ease in porting and to alleviate the need for
several system-dependent packet capture modules in each application.

This package contains development files needed to develop libpcap-based
applications such as tcpdump, etc.

%description -n %realname-devel-static
Libpcap provides a portable framework for low-level network monitoring.
Libpcap can provide network statistics collection, security monitoring
and network debugging.  Since almost every system vendor provides a
different interface for packet capture, the libpcap authors created this
system-independent API to ease in porting and to alleviate the need for
several system-dependent packet capture modules in each application.

This package contains the static pcap library needed to develop statically
linked libpcap-based applications.

%prep
%setup -q -n %srcname
%patch -p1

find -type d -name CVS -print0 |
	xargs -r0 %__rm -rf --
find -type f \( -name .cvsignore -o -name \*.orig \) -print -delete

%build
%add_optflags -D_FILE_OFFSET_BITS=64
%configure --enable-ipv6
# fixme: override result of configure test for /proc/net/dev.
%__subst -p 's,/\* #undef HAVE_PROC_NET_DEV \*/,#define HAVE_PROC_NET_DEV 1,' config.h

# First build shared,
%make_build CCOPT="$RPM_OPT_FLAGS %optflags_shared"
%__mkdir_p shared
gcc -shared -o shared/%realname.so.%version \
	-Wl,-soname -Wl,%realname.so.%vers_maj \
	-Wl,-whole-archive %realname.a -Wl,-no-whole-archive

# then static.
make clean
%make_build CCOPT="$RPM_OPT_FLAGS"
bzip2 -9kf CHANGES

%install
%__mkdir_p $RPM_BUILD_ROOT%_man3dir
%makeinstall
%__install -p -m644 shared/%realname.so.%version $RPM_BUILD_ROOT%_libdir/
%__ln_s %realname.so.%version $RPM_BUILD_ROOT%_libdir/%realname.so

%__mkdir_p $RPM_BUILD_ROOT%_includedir/net
%__ln_s ../pcap-bpf.h $RPM_BUILD_ROOT%_includedir/net/bpf.h

%define _customdocdir %_docdir/%realname-%version

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%doc CHANGES.bz2 CREDITS README README.linux TODO

%if_enabled compat
%files -n %realname-devel
%_includedir/*.h
%_includedir/*/*.h
%_libdir/*.so
%_mandir/man?/*

%files -n %realname-devel-static
%_libdir/*.a
%endif #enabled compat

%changelog
* Fri May 07 2004 Dmitry V. Levin <ldv@altlinux.org> 2:0.8.2-alt2
- Rebuilt with glibc-2.3.x.

* Tue Mar 30 2004 Dmitry V. Levin <ldv@altlinux.org> 2:0.8.2-alt1
- Updated to 0.8.2.

* Tue Jan 13 2004 Dmitry V. Levin <ldv@altlinux.org> 2:0.8.1-alt3
- libpcap-devel: provide %_includedir/net/bpf.h for compatibility.

* Sat Jan 10 2004 Dmitry V. Levin <ldv@altlinux.org> 2:0.8.1-alt2
- Build with explicitly enabled LFS suppport.

* Fri Jan 09 2004 Dmitry V. Levin <ldv@altlinux.org> 2:0.8.1-alt1
- Updated to 0.8.1, updated patches.
- Renamed libpcap to libpcap0.8.
- Override result of configure test for /proc/net/dev.

* Tue Jun 03 2003 Dmitry V. Levin <ldv@altlinux.org> 2:0.7.2-alt2
- Corrected the timeout handling patch to do it in the packet
  receive loop rather than only once before the loop and to
  return on timeout (Owl).

* Thu Feb 27 2003 Dmitry V. Levin <ldv@altlinux.org> 2:0.7.2-alt1
- Updated to 2:0.7.2-alt1.

* Thu Sep 12 2002 Dmitry V. Levin <ldv@altlinux.org> 2:0.7.1-alt3
- Updated %%post/%%postun scripts.
- Updated devel-static requirements.

* Thu Apr 18 2002 Dmitry V. Levin <ldv@alt-linux.org> 2:0.7.1-alt2
- Added pcap_linux_honor_timeout patch from nmap project
 (slightly modified to avoid pcap-based software breakage).

* Tue Apr 09 2002 Dmitry V. Levin <ldv@alt-linux.org> 2:0.7.1-alt1
- Updated code to 0.7.1 release.
- Moved static library to devel-static subpackage.

* Wed Feb 07 2001 Dmitry V. Levin <ldv@fandra.org> 0.6.2-ipl1mdk
- 0.6.2

* Tue Jan 09 2001 Dmitry V. Levin <ldv@fandra.org> 0.6.1-ipl1mdk
- 0.6.1
- Enabled ipv6 support.

* Fri Sep 01 2000 Dmitry V. Levin <ldv@fandra.org> 0.5.2-ipl1mdk
- 0.5.2

* Fri Jul 21 2000 Dmitry V. Levin <ldv@fandra.org> 0.5-ipl1mdk
- RE and Fandra adaptions.

* Thu Jul 20 2000 Francis Galiegue <fg@mandrakesoft.com> 0.5-1mdk
- 0.5 stable
- Split from tcpdump source to is own source
- %files list cleanup
- Added dynamic lib - dirty hack
- split %%name and -devel
